Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Attributes
proofs::GF2_128< subfield_log_bits > Class Template Reference

## Data Structures
struct | CElt
struct | Elt

## Public Types
using | TypeTag = BinaryFieldTypeTag
using | N = gf2_128_elt_t
using | N1 = GF2Poly<2>

## Public Member Functions
| GF2_128 (const GF2_128 &)=delete
GF2_128 & | operator= (const GF2_128 &)=delete
Elt | of_scalar (uint64_t u) const
Elt | of_scalar_field (uint64_t n) const
Elt | of_scalar_field (const std::array< uint64_t, 2 > &u) const
std::optional< Elt > | of_bytes_field (const uint8_t ab[], bool base_only=true) const
void | to_bytes_field (uint8_t ab[], const Elt &x) const
bool | in_subfield (Elt e) const
std::optional< Elt > | of_bytes_subfield (const uint8_t ab[]) const
void | to_bytes_subfield (uint8_t ab[], const Elt &x) const
Elt | addf (const Elt &x, const Elt &y) const
Elt | subf (const Elt &x, const Elt &y) const
Elt | mulf (const Elt &x, const Elt &y) const
Elt | negf (const Elt &x) const
void | add (Elt &a, const Elt &y) const
void | sub (Elt &a, const Elt &y) const
void | mul (Elt &a, const Elt &y) const
void | neg (Elt &a) const
void | invert (Elt &a) const
Elt | zero () const
Elt | one () const
Elt | mone () const
Elt | x () const
Elt | invx () const
Elt | g () const
Elt | invg () const
Elt | beta (size_t i) const
Elt | poly_evaluation_point (size_t i) const
Elt | newton_denominator (size_t k, size_t i) const
Elt | invertf (Elt x) const
CElt | as_counter (uint64_t a) const
Elt | counter_beta (size_t i) const
Elt | znz_indicator (const CElt &celt) const

## Static Public Attributes
static constexpr size_t | kNPolyEvaluationPoints = 6
static constexpr size_t | kLogBits = 7
static constexpr size_t | kBits = k1 << kLogBits
static constexpr size_t | kBytes = kBits / 8u
static constexpr size_t | kSubFieldLogBits = subfield_log_bits
static constexpr size_t | kSubFieldBits = k1 << kSubFieldLogBits
static constexpr size_t | kSubFieldBytes = kSubFieldBits / 8u
static constexpr bool | kCharacteristicTwo = true

The documentation for this class was generated from the following file:

- lib/gf2k/gf2_128.h